Bug 1806001 - [baremetal] NetworkManager does not always set hostname
Summary: [baremetal] NetworkManager does not always set hostname
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Brad P. Crochet
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On:
Blocks: 1806008 1806020
TreeView+ depends on / blocked
 
Reported: 2020-02-21 19:58 UTC by Brad P. Crochet
Modified: 2020-08-04 18:01 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1806008 (view as bug list)
Environment:
Last Closed: 2020-08-04 18:01:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1494 0 None closed Bug 1806001: [baremetal] Set hostname when DHCP6_FQDN_FQDN is set 2020-09-22 16:46:49 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-08-04 18:01:29 UTC

Description Brad P. Crochet 2020-02-21 19:58:06 UTC
NetworkManager doesn't always set the hostname when DHCP6 is involved.
This sets the hostname when $DHCP6_FQDN_FQDN is populated and does not
equal localhost.localdomain. This is a workaround while we try to figure
out why NetworkManager is not setting the hostname as it should.

Comment 3 errata-xmlrpc 2020-08-04 18:01:24 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.5 image release advisory), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.